Loading...
Searching...
No Matches
RDKit::MolDraw2DUtils::ContourParams Struct Reference

`#include <MolDraw2DUtils.h>`

## Public Attributes

bool | setScale = true
bool | dashNegative = true
bool | fillGrid = false
double | gridResolution = 0.15
double | contourWidth = 1.0
double | extraGridPadding = 0.0
DrawColour | contourColour
std::vector< DrawColour > | colourMap
bool | drawAsLines
double | coordScaleForQuantization
double | isovalScaleForQuantization

## Detailed Description

Definition at line 85 of file MolDraw2DUtils.h.

## Member Data Documentation

## colourMap

std::vector<DrawColour> RDKit::MolDraw2DUtils::ContourParams::colourMap

Initial value:
= {
{0.557, 0.004, 0.322, 0.5},
{1, 1, 1, 0.5},
{0.153, 0.392, 0.098, 0.5}}

Definition at line 94 of file MolDraw2DUtils.h.

## contourColour

DrawColour RDKit::MolDraw2DUtils::ContourParams::contourColour

Initial value:
= {0.5, 0.5, 0.5,
0.5}

Definition at line 92 of file MolDraw2DUtils.h.

## contourWidth

double RDKit::MolDraw2DUtils::ContourParams::contourWidth = 1.0

Definition at line 90 of file MolDraw2DUtils.h.

## coordScaleForQuantization

double RDKit::MolDraw2DUtils::ContourParams::coordScaleForQuantization

Initial value:
=
1000.

Definition at line 100 of file MolDraw2DUtils.h.

## dashNegative

bool RDKit::MolDraw2DUtils::ContourParams::dashNegative = true

Definition at line 87 of file MolDraw2DUtils.h.

## drawAsLines

bool RDKit::MolDraw2DUtils::ContourParams::drawAsLines

Initial value:
=
true

Definition at line 98 of file MolDraw2DUtils.h.

## extraGridPadding

double RDKit::MolDraw2DUtils::ContourParams::extraGridPadding = 0.0

Definition at line 91 of file MolDraw2DUtils.h.

## fillGrid

bool RDKit::MolDraw2DUtils::ContourParams::fillGrid = false

Definition at line 88 of file MolDraw2DUtils.h.

## gridResolution

double RDKit::MolDraw2DUtils::ContourParams::gridResolution = 0.15

Definition at line 89 of file MolDraw2DUtils.h.

## isovalScaleForQuantization

double RDKit::MolDraw2DUtils::ContourParams::isovalScaleForQuantization

Initial value:
=
1e6
RDKit::rdvalue_is
bool rdvalue_is(const RDValue_cast_t)
Definition RDValue-doublemagic.h:372

Definition at line 103 of file MolDraw2DUtils.h.

## setScale

bool RDKit::MolDraw2DUtils::ContourParams::setScale = true

Definition at line 86 of file MolDraw2DUtils.h.

The documentation for this struct was generated from the following file:

- MolDraw2DUtils.h